package com.elink.aicare;

public class BodyFatData {
    /**
     * 身体质量指数
     */
    private double bmi;
    /**
     * 体脂率 body fat rate
     */
    private double bfr;
    /**
     * 皮下脂肪率
     */
    private double sfr;
    /**
     * 内脏脂肪指数
     */
    private int uvi;
    /**
     * 肌肉率
     */
    private double rom;
    /**
     * 基础代谢率
     */
    private int bmr;
    /**
     * 骨骼质量
     */
    private double bm;
    /**
     * 水含量
     */
    private double vwc;
    /**
     * 身体年龄
     */
    private int bodyAge;
    /**
     * 蛋白率
     */
    private double pp;
    
    /**
     * 标准体重(kg)
     */
    private double standardWeight;
    /**
     * 体重控制量(kg)
     */
    private double controlWeight;
    /**
     * 脂肪量
     */
    private double fat;
    /**
     * 去脂体重
     */
    private double removeFatWeight;
    /**
     * 肌肉量
     */
    private double muscleMass;
    /**
     * 蛋白量
     */
    private double protein;
    /**
     * 肥胖等级
     */
    private FatLevel fatLevel;
    
    public static enum FatLevel {
        /**
         * 体重不足
         */
        UNDER,
        /**
         * 偏瘦
         */
        THIN,
        /**
         * 标准
         */
        NORMAL,
        /**
         * 偏重
         */
        OVER,
        /**
         * 超重
         */
        FAT;

        private FatLevel() {
        }
    }

    public double getBmi() {
        return bmi;
    }

    public void setBmi(double bmi) {
        this.bmi = bmi;
    }

    public double getBfr() {
        return bfr;
    }

    public void setBfr(double bfr) {
        this.bfr = bfr;
    }


    public double getSfr() {
        return sfr;
    }

    public void setSfr(double sfr) {
        this.sfr = sfr;
    }

    public int getUvi() {
        return uvi;
    }

    public void setUvi(int uvi) {
        this.uvi = uvi;
    }

    public double getRom() {
        return rom;
    }

    public void setRom(double rom) {
        this.rom = rom;
    }

    public int getBmr() {
        return bmr;
    }

    public void setBmr(int bmr) {
        this.bmr = bmr;
    }

    public double getBm() {
        return bm;
    }

    public void setBm(double bm) {
        this.bm = bm;
    }

    public double getVwc() {
        return vwc;
    }

    public void setVwc(double vwc) {
        this.vwc = vwc;
    }

    public int getBodyAge() {
        return bodyAge;
    }

    public void setBodyAge(int bodyAge) {
        this.bodyAge = bodyAge;
    }

    public double getPp() {
        return pp;
    }

    public void setPp(double pp) {
        this.pp = pp;
    }
    
    public double getStandardWeight() {
        return this.standardWeight;
    }

    public void setStandardWeight(double standardWeight) {
        this.standardWeight = standardWeight;
    }

    public double getControlWeight() {
        return this.controlWeight;
    }

    public void setControlWeight(double controlWeight) {
        this.controlWeight = controlWeight;
    }

    public double getFat() {
        return this.fat;
    }

    public void setFat(double fat) {
        this.fat = fat;
    }

    public double getRemoveFatWeight() {
        return this.removeFatWeight;
    }

    public void setRemoveFatWeight(double removeFatWeight) {
        this.removeFatWeight = removeFatWeight;
    }

    public double getMuscleMass() {
        return this.muscleMass;
    }

    public void setMuscleMass(double muscleMass) {
        this.muscleMass = muscleMass;
    }

    public double getProtein() {
        return this.protein;
    }

    public void setProtein(double protein) {
        this.protein = protein;
    }

    public FatLevel getFatLevel() {
        return this.fatLevel;
    }

    public void setFatLevel(FatLevel fatLevel) {
        this.fatLevel = fatLevel;
    }
    
}
